``role::hpc::cn``
======================

This role implements a Computing Node. Currently only Slurm is supported.
GPFS can be configured, but need changes in Puppet for newer clusters::

  # Cluster specific classes
  case $cluster['name'] {
    'merlin5','ComputeCluster_SwissFEL','ra','xbl','sf': {
        class { 'profile::gpfs':; }
    }
  }

Parameters
----------

``cluster``
~~~~~~~~~~~~~~~

Must be defined by the setting: ``slurm::cluster`` in YAML.
